{% extends 'base_login.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}


{% block title %}Confirmation de présence à la séance{% endblock %}

{% block body %}


    <div class="form-side">

        <div class="form-content" style="width: 700px">
            <div class="soft-logo">
                <img id="libriciel-logo" alt="Image du Libriciel"
                     height="10" width="10"
                     src="{{ asset('assets/img/application_logo.svg') }}">
            </div>

            <section class="mt-5">
                {{ include('include/flash.html.twig') }}

                <div class="d-flex" id="attendance-actor" data-attendance="">
                    <h1 class="h3 mb-4"> {{ user.firstName }} {{ user.lastName }}
                        {% if not attendance %}
                            <div class="badge bg-warning">Présence à définir</div>
                        {% elseif attendance == 'absent' %}
                            <div class="badge bg-danger" id=""> Absent</div>
                        {% elseif attendance == 'present' %}
                            <div class="badge bg-success"> Présent</div>
                        {% elseif attendance == 'remote' %}
                            <div class="badge bg-success"> Présent à distance</div>
                        {% elseif attendance == 'poa' %}
                            <div class="badge bg-info"> Donne pouvoir via procuration</div>
                        {% elseif attendance == 'deputy' %}
                            <div class="badge bg-info"> Remplacé par un suppléant</div>
                        {% endif %}
                    </h1>

                </div>
                <p><b>Séance : </b> {{ sitting.name }}</p>
                <p><b>Date de la séance : </b> {{ sitting.date | date('d/m/y : H:i', timezone) }}</p>
                {% if attendance is same as "deputy" %}
                    <p><b>Suppléant : </b>{{ convocation.deputy.firstName ~ ' ' ~  convocation.deputy.lastName }}</p>
                {% endif %}

                {% if attendance is same as "mandator" %}
                    <p><b>Pouvoir à : </b> {{ convocation.mandator.firstName ~ ' ' ~  convocation.mandator.lastName }}</p>
                {% endif %}

                <div class="mt-5">
                    {{ form_start(form) }}
                    {{ form_row(form.attendance) }}
                    {% if sitting.isMandatorAllowed %}
                        {{ form_row(form.mandataire) }}
                    {% endif %}
                    {{ form_row(form.deputy) }}

                    <!-- Button trigger modal -->
                    <button type="button"
                            id="confirm-attendance-btn"
                            class="btn btn-primary float-end mt-2"
                            data-bs-toggle="modal"
                            data-bs-target="#attendance-modal"
                            >
                        <span class="fa fa-save"></span>
                        Enregistrer
                    </button>

                    <!-- Modal -->
                    <div class="modal fade" id="attendance-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Confirmer votre présence</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <p class="mb-3">Vous avez annoncé <span><b id="confirmation-presence-actor"></b></span> pour cette séance.</p>

                                    Merci de confirmer votre choix.
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-block" data-bs-dismiss="modal">Annuler</button>
                                    <input type="submit" class="btn btn-primary float-end mt-2" value="Enregistrer">
                                </div>
                            </div>
                        </div>
                    </div>


{#                    <input type="submit" class="btn btn-primary float-end mt-2" value="Enregistrer">#}
                    {{ form_end(form) }}
                </div>

            </section>

        </div>
    </div>


    {% block javascripts %}
        {{ encore_entry_script_tags('attendance') }}
    {% endblock %}

{% endblock %}
